Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 41212 - NB 3.6rc1 with Blackdown Java 1.4.2rc1
NB 3.6rc1 with Blackdown Java 1.4.2rc1
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
3.x
PC Linux
: P3 (vote)
: 4.x
Assigned To: mslama
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 23:51 UTC by arghil
Modified: 2005-07-15 08:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arghil 2004-03-22 23:51:03 UTC
On startup, installer doesn't detect JDK Blackdown
version 1.4.2-rc1.
Comment 1 mslama 2005-02-11 12:09:06 UTC
I will add JVM resolution instruction files for Blackdown JDK 1.4.2
and IBM JDK 1.4.2 on Linux.
Comment 2 mslama 2005-02-14 13:20:08 UTC
It should work with NB 4.0 installer as JVM resolution only requires
"java.specification.version" to be "1.4". Now I just changed it to
require JDK 1.4.2_X. I also added path hints for IBM JDK 1.4.2 as it
has default install dir "IBMJava2-142".
Comment 3 mslama 2005-02-14 13:22:31 UTC
If installer launcher does not detect JDK automaticaly you can use
command line option "-is:javahome <path to JDK>" eg.: "-is:javahome
/usr/java/j2sdk1.4.2_06". This should work for NB 4.0 and Blackdown JDK.
Comment 4 Michal Mocnak 2005-07-15 08:47:20 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo